Get Communication Preferences
curl --request GET \
--url https://api.thefaithapp.com/v1/community/communication-preferences \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community/communication-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/communication-preferences"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"communication_preferences": {
"timezone": "Africa/Kampala",
"quiet_hours_enabled": true,
"quiet_start": "21:00",
"quiet_end": "07:00",
"quiet_days": [
1,
2,
3,
4,
5
],
"topics": {
"direct_messages": true,
"ministries": true,
"community_groups": true,
"mutual_aid": true
}
}
}
}Community Preferences & Research
Get Communication Preferences
Returns quiet hours, timezone, and topic-level community notification preferences for the authenticated member.
GET
/
v1
/
community
/
communication-preferences
Get Communication Preferences
curl --request GET \
--url https://api.thefaithapp.com/v1/community/communication-preferences \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community/communication-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/communication-preferences"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"communication_preferences": {
"timezone": "Africa/Kampala",
"quiet_hours_enabled": true,
"quiet_start": "21:00",
"quiet_end": "07:00",
"quiet_days": [
1,
2,
3,
4,
5
],
"topics": {
"direct_messages": true,
"ministries": true,
"community_groups": true,
"mutual_aid": true
}
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Was this page helpful?